from django.utils.translation import gettext_lazy as _


COUNTRIES = {
    "AW": _("Aruba"),
    "AF": _("Afghanistan"),
    "AO": _("Angola"),
    "AI": _("Anguilla"),
    "AX": _("Åland Islands"),
    "AL": _("Albania"),
    "AD": _("Andorra"),
    "AE": _("United Arab Emirates"),
    "AR": _("Argentina"),
    "AM": _("Armenia"),
    "AS": _("American Samoa"),
    "AQ": _("Antarctica"),
    "TF": _("French Southern Territories"),
    "AG": _("Antigua and Barbuda"),
    "AU": _("Australia"),
    "AT": _("Austria"),
    "AZ": _("Azerbaijan"),
    "BI": _("Burundi"),
    "BE": _("Belgium"),
    "BJ": _("Benin"),
    "BQ": _("Bonaire, Sint Eustatius and Saba"),
    "BF": _("Burkina Faso"),
    "BD": _("Bangladesh"),
    "BG": _("Bulgaria"),
    "BH": _("Bahrain"),
    "BS": _("Bahamas"),
    "BA": _("Bosnia and Herzegovina"),
    "BL": _("Saint Barthélemy"),
    "BY": _("Belarus"),
    "BZ": _("Belize"),
    "BM": _("Bermuda"),
    "BO": _("Bolivia, Plurinational State of"),
    "BR": _("Brazil"),
    "BB": _("Barbados"),
    "BN": _("Brunei Darussalam"),
    "BT": _("Bhutan"),
    "BV": _("Bouvet Island"),
    "BW": _("Botswana"),
    "CF": _("Central African Republic"),
    "CA": _("Canada"),
    "CC": _("Cocos (Keeling) Islands"),
    "CH": _("Switzerland"),
    "CL": _("Chile"),
    "CN": _("China"),
    "CI": _("Côte d'Ivoire"),
    "CM": _("Cameroon"),
    "CD": _("Congo, The Democratic Republic of the"),
    "CG": _("Congo"),
    "CK": _("Cook Islands"),
    "CO": _("Colombia"),
    "KM": _("Comoros"),
    "CV": _("Cabo Verde"),
    "CR": _("Costa Rica"),
    "CU": _("Cuba"),
    "CW": _("Curaçao"),
    "CX": _("Christmas Island"),
    "KY": _("Cayman Islands"),
    "CY": _("Cyprus"),
    "CZ": _("Czechia"),
    "DE": _("Germany"),
    "DJ": _("Djibouti"),
    "DM": _("Dominica"),
    "DK": _("Denmark"),
    "DO": _("Dominican Republic"),
    "DZ": _("Algeria"),
    "EC": _("Ecuador"),
    "EG": _("Egypt"),
    "ER": _("Eritrea"),
    "EH": _("Western Sahara"),
    "ES": _("Spain"),
    "EE": _("Estonia"),
    "ET": _("Ethiopia"),
    "FI": _("Finland"),
    "FJ": _("Fiji"),
    "FK": _("Falkland Islands (Malvinas)"),
    "FR": _("France"),
    "FO": _("Faroe Islands"),
    "FM": _("Micronesia, Federated States of"),
    "GA": _("Gabon"),
    "GB": _("United Kingdom"),
    "GE": _("Georgia"),
    "GG": _("Guernsey"),
    "GH": _("Ghana"),
    "GI": _("Gibraltar"),
    "GN": _("Guinea"),
    "GP": _("Guadeloupe"),
    "GM": _("Gambia"),
    "GW": _("Guinea-Bissau"),
    "GQ": _("Equatorial Guinea"),
    "GR": _("Greece"),
    "GD": _("Grenada"),
    "GL": _("Greenland"),
    "GT": _("Guatemala"),
    "GF": _("French Guiana"),
    "GU": _("Guam"),
    "GY": _("Guyana"),
    "HK": _("Hong Kong"),
    "HM": _("Heard Island and McDonald Islands"),
    "HN": _("Honduras"),
    "HR": _("Croatia"),
    "HT": _("Haiti"),
    "HU": _("Hungary"),
    "ID": _("Indonesia"),
    "IM": _("Isle of Man"),
    "IN": _("India"),
    "IO": _("British Indian Ocean Territory"),
    "IE": _("Ireland"),
    "IR": _("Iran, Islamic Republic of"),
    "IQ": _("Iraq"),
    "IS": _("Iceland"),
    "IL": _("Israel"),
    "IT": _("Italy"),
    "JM": _("Jamaica"),
    "JE": _("Jersey"),
    "JO": _("Jordan"),
    "JP": _("Japan"),
    "KZ": _("Kazakhstan"),
    "KE": _("Kenya"),
    "KG": _("Kyrgyzstan"),
    "KH": _("Cambodia"),
    "KI": _("Kiribati"),
    "KN": _("Saint Kitts and Nevis"),
    "KR": _("Korea, Republic of"),
    "KW": _("Kuwait"),
    "LA": _("Lao People's Democratic Republic"),
    "LB": _("Lebanon"),
    "LR": _("Liberia"),
    "LY": _("Libya"),
    "LC": _("Saint Lucia"),
    "LI": _("Liechtenstein"),
    "LK": _("Sri Lanka"),
    "LS": _("Lesotho"),
    "LT": _("Lithuania"),
    "LU": _("Luxembourg"),
    "LV": _("Latvia"),
    "MO": _("Macao"),
    "MF": _("Saint Martin (French part)"),
    "MA": _("Morocco"),
    "MC": _("Monaco"),
    "MD": _("Moldova, Republic of"),
    "MG": _("Madagascar"),
    "MV": _("Maldives"),
    "MX": _("Mexico"),
    "MH": _("Marshall Islands"),
    "MK": _("North Macedonia"),
    "ML": _("Mali"),
    "MT": _("Malta"),
    "MM": _("Myanmar"),
    "ME": _("Montenegro"),
    "MN": _("Mongolia"),
    "MP": _("Northern Mariana Islands"),
    "MZ": _("Mozambique"),
    "MR": _("Mauritania"),
    "MS": _("Montserrat"),
    "MQ": _("Martinique"),
    "MU": _("Mauritius"),
    "MW": _("Malawi"),
    "MY": _("Malaysia"),
    "YT": _("Mayotte"),
    "NA": _("Namibia"),
    "NC": _("New Caledonia"),
    "NE": _("Niger"),
    "NF": _("Norfolk Island"),
    "NG": _("Nigeria"),
    "NI": _("Nicaragua"),
    "NU": _("Niue"),
    "NL": _("Netherlands"),
    "NO": _("Norway"),
    "NP": _("Nepal"),
    "NR": _("Nauru"),
    "NZ": _("New Zealand"),
    "OM": _("Oman"),
    "PK": _("Pakistan"),
    "PA": _("Panama"),
    "PN": _("Pitcairn"),
    "PE": _("Peru"),
    "PH": _("Philippines"),
    "PW": _("Palau"),
    "PG": _("Papua New Guinea"),
    "PL": _("Poland"),
    "PR": _("Puerto Rico"),
    "KP": _("Korea, Democratic People's Republic of"),
    "PT": _("Portugal"),
    "PY": _("Paraguay"),
    "PS": _("Palestine, State of"),
    "PF": _("French Polynesia"),
    "QA": _("Qatar"),
    "RE": _("Réunion"),
    "RO": _("Romania"),
    "RU": _("Russian Federation"),
    "RW": _("Rwanda"),
    "SA": _("Saudi Arabia"),
    "SD": _("Sudan"),
    "SN": _("Senegal"),
    "SG": _("Singapore"),
    "GS": _("South Georgia and the South Sandwich Islands"),
    "SH": _("Saint Helena, Ascension and Tristan da Cunha"),
    "SJ": _("Svalbard and Jan Mayen"),
    "SB": _("Solomon Islands"),
    "SL": _("Sierra Leone"),
    "SV": _("El Salvador"),
    "SM": _("San Marino"),
    "SO": _("Somalia"),
    "PM": _("Saint Pierre and Miquelon"),
    "RS": _("Serbia"),
    "SS": _("South Sudan"),
    "ST": _("Sao Tome and Principe"),
    "SR": _("Suriname"),
    "SK": _("Slovakia"),
    "SI": _("Slovenia"),
    "SE": _("Sweden"),
    "SZ": _("Eswatini"),
    "SX": _("Sint Maarten (Dutch part)"),
    "SC": _("Seychelles"),
    "SY": _("Syrian Arab Republic"),
    "TC": _("Turks and Caicos Islands"),
    "TD": _("Chad"),
    "TG": _("Togo"),
    "TH": _("Thailand"),
    "TJ": _("Tajikistan"),
    "TK": _("Tokelau"),
    "TM": _("Turkmenistan"),
    "TL": _("Timor-Leste"),
    "TO": _("Tonga"),
    "TT": _("Trinidad and Tobago"),
    "TN": _("Tunisia"),
    "TR": _("Turkey"),
    "TV": _("Tuvalu"),
    "TW": _("Taiwan, Province of China"),
    "TZ": _("Tanzania, United Republic of"),
    "UG": _("Uganda"),
    "UA": _("Ukraine"),
    "UM": _("United States Minor Outlying Islands"),
    "UY": _("Uruguay"),
    "US": _("United States"),
    "UZ": _("Uzbekistan"),
    "VA": _("Holy See (Vatican City State)"),
    "VC": _("Saint Vincent and the Grenadines"),
    "VE": _("Venezuela, Bolivarian Republic of"),
    "VG": _("Virgin Islands, British"),
    "VI": _("Virgin Islands, U.S."),
    "VN": _("Viet Nam"),
    "VU": _("Vanuatu"),
    "WF": _("Wallis and Futuna"),
    "WS": _("Samoa"),
    "YE": _("Yemen"),
    "ZA": _("South Africa"),
    "ZM": _("Zambia"),
    "ZW": _("Zimbabwe"),
}

COUNTRY_CHOICES = list(COUNTRIES.items())
